Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Class EpmCustomDataManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.data.EpmCustomDataManagerImpl

All Implemented Interfaces
  CustomDataManagerBusiness, Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class EpmCustomDataManagerImpl

extends CatalogServiceImpl
implements CustomDataManagerBusiness

The implementation class for the `EpmCustomDataManager` Session EJB.

See Also
  `EpmCustomDataManager`, `EpmCustomDataManagerHome`, Serialized Form

Field Summary
`protected static String` | `CATALOG_PROPERTY_SET_TYPE` Deprecated See BEA Commerce product offering
`protected static String` | `CATEGORY_JNDI_NAME` Deprecated See BEA Commerce product offering
`protected static String` | `PRODUCT_ITEM_JNDI_NAME` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`EpmCustomDataManagerImpl()` Deprecated See BEA Commerce product offering

Method Summary
`protected PropertyLocator` | `createPropertyLocator(CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering
`protected PropertyLocator` | `createPropertyLocator(CatalogItemKey itemKey, String propertySetType)` Deprecated See BEA Commerce product offering
`long` | `createUniqueId(CatalogRequest request, String jndiHomeName, String pkString)` Deprecated See BEA Commerce product offering
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`void` | `ejbCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey, String namespace)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object defaultValue)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, boolean returnDefault)` Deprecated See BEA Commerce product offering
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key)` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key)` Deprecated See BEA Commerce product offering
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object value)` Deprecated See BEA Commerce product offering
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, Object value)` Deprecated See BEA Commerce product offering
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCT_ITEM_JNDI_NAME

    protected static final String PRODUCT_ITEM_JNDI_NAME

  Deprecated See BEA Commerce product offering
  The JNDI name for the ProductItem ConfigurableEntity home interface.

  See Also
    Constants Summary

### CATEGORY_JNDI_NAME

    protected static final String CATEGORY_JNDI_NAME

  Deprecated See BEA Commerce product offering
  The JNDI name for the Category ConfigurableEntity home interface.

  See Also
    Constants Summary

### CATALOG_PROPERTY_SET_TYPE

    protected static final String CATALOG_PROPERTY_SET_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### EpmCustomDataManagerImpl

    public EpmCustomDataManagerImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String namespace,
                              String key,
                              Object defaultValue)
                       throws CatalogException,
                              RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key.

  Specified by:
    `getProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String propertySetName,
                              String propertySetType,
                              String key,
                              boolean returnDefault)
                       throws CatalogException,
                              RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key.

  Specified by:
    `getProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String namespace,
                                 String key)
                          throws CatalogException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property associated with the named key.

  Specified by:
    `removeProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String propertySetName,
                                 String propertySetType,
                                 String key)
                          throws CatalogException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property associated with the named key.

  Specified by:
    `removeProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String namespace,
                            String key,
                            Object value)
                     throws CatalogException,
                            RemoteException

  Deprecated See BEA Commerce product offering

  Associate the specified value with the named key.

  Specified by:
    `setProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String propertySetName,
                            String propertySetType,
                            String key,
                            Object value)
                     throws RemoteException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Associate the specified value with the named key.

  Specified by:
    `setProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey)
                      throws RemoteException,
                             CatalogException

  Deprecated See BEA Commerce product offering

  Retrieve all the property values within a namespace

  Specified by:
    `getProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey,
                             String namespace)
                      throws RemoteException,
                             CatalogException

  Deprecated See BEA Commerce product offering

  Retrieve all the property values within a namespace

  Specified by:
    `getProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperties

    public void removeProperties(CatalogRequest request,
                                 CatalogItemKey itemKey)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Remove all the properties for an item with a namespace

  Specified by:
    `removeProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### createUniqueId

    public long createUniqueId(CatalogRequest request,
                               String jndiHomeName,
                               String pkString)
                        throws RemoteException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Specified by:
    `createUniqueId` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns
    the newly created entity id
  Throws
    `CatalogException` - if there is an error
    `RemoteException`

### createPropertyLocator

    protected PropertyLocator createPropertyLocator(CatalogItemKey itemKey,
                                                    String propertySetType)
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`

### createPropertyLocator

    protected PropertyLocator createPropertyLocator(CatalogItemKey itemKey)
                                             throws RemoteException

  Deprecated See BEA Commerce product offering

  Creates a `PropertyLocator` based upon the supplied `CatalogItemKey`.

  Parameters
    `itemKey` - the key used to create a `PropertyLocator`
  Returns
    a `PropertyLocator` based upon the supplied `CatalogItemKey`
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved